Page MenuHomePhabricator

DB update and mwscript failing on Beta Cluster with Wikibase.php error
Closed, ResolvedPublic

Description

The database update job for Beta Cluster is failing with:

Catchable fatal error: Object of class Closure could not be converted to string in /mnt/srv/mediawiki-staging/wmf-config/Wikibase.php on line 184

See eg: https://integration.wikimedia.org/ci/job/beta-update-databases-eqiad/label=deployment-bastion-eqiad,wikidb=kowiki/8825/console

Has been failing since Apr 10, 2015 9:20:00 PM (UTC).

Also, running any mwscript on deployment-bastion, e.g.:

mwscript eval.php --wiki=enwiki

results in:

Catchable fatal error: Object of class Closure could not be converted to string in /mnt/srv/mediawiki-staging/wmf-config/Wikibase.php on line 184

Event Timeline

Mattflaschen-WMF raised the priority of this task from to Needs Triage.
Mattflaschen-WMF updated the task description. (Show Details)
greg triaged this task as Unbreak Now! priority.Apr 11 2015, 2:30 AM
greg added a project: Wikidata.
greg set Security to None.
greg renamed this task from mwscript failing on Beta Cluster with Wikibase.php error to DB update and mwscript failing on Beta Cluster with Wikibase.php error.Apr 11 2015, 2:38 AM
greg updated the task description. (Show Details)
greg added a subscriber: greg.

I don't see anything obvious in the commit log for mw-config: https://phabricator.wikimedia.org/diffusion/OMWC/history/master/

i am looking at this now.

Change 203517 had a related patch set uploaded (by Aude):
Revert "New Wikidata Build - 2015-04-10T20:00:33 0000"

https://gerrit.wikimedia.org/r/203517

for now, I am trying https://gerrit.wikimedia.org/r/#/c/203517/ - revert of our latest build.

shall investigate further and test this locally more before we try to resubmit these changes and be around in case (hopefully not!) we cause a problem again. :/

Change 203517 merged by jenkins-bot:
Revert "New Wikidata Build - 2015-04-10T20:00:33 0000"

https://gerrit.wikimedia.org/r/203517

I have reverted our latest build and appears fixed now.

Thanks a ton for your quick response, @aude!